## ros-melodic-jackal-viz 0.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jackal_viz)

find_package(catkin REQUIRED COMPONENTS roslaunch)

catkin_package()

roslaunch_add_file_check(launch/view_model.launch)
roslaunch_add_file_check(launch/view_robot.launch)

install(DIRECTORY launch rviz
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-jackal-viz (0.3.2-1stretch) stretch; urgency=high

  * Changed laser scan topics to /front/scan.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 06 Jun 2016 07:00:00 -0000

ros-melodic-jackal-viz (0.3.1-1stretch) stretch; urgency=high

  * Add version number blocks.
  * Switch view_model to use optenv-style URDF parameterization.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 20 Jan 2015 08:00:00 -0000

ros-melodic-jackal-viz (0.3.0-1stretch) stretch; urgency=high

  * Add camera argument to view model
  * Add rviz configuration for navigation demo.
  * Contributors: Shokoofeh Pourmehr, spourmehr

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 12 Dec 2014 08:00:00 -0000

ros-melodic-jackal-viz (0.2.0-1stretch) stretch; urgency=high

  * Support front_laser arg in view_model.launch.
  * Add view_robot launcher for marker teleop.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 10 Sep 2014 07:00:00 -0000

ros-melodic-jackal-viz (0.1.1-1stretch) stretch; urgency=high

  * Fix install target for jackal_viz.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Sat, 06 Sep 2014 07:00:00 -0000

ros-melodic-jackal-viz (0.1.0-1stretch) stretch; urgency=high

  * Initial release.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 05 Sep 2014 07:00:00 -0000

=== debian/control ===
Source: ros-melodic-jackal-viz
Section: misc
Priority: extra
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslaunch
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-jackal-viz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-jackal-description (>= 0.5), ros-melodic-joint-state-publisher, ros-melodic-rviz
Description: Visualization launchers and helpers for Jackal.

## ros-melodic-jackal-viz 0.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,8 @@
 
 roslaunch_add_file_check(launch/view_model.launch)
 roslaunch_add_file_check(launch/view_robot.launch)
+roslaunch_add_file_check(launch/view_diagnostics.launch)
 
-install(DIRECTORY launch rviz
+install(DIRECTORY launch rviz rqt
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
 )

=== debian/changelog ===
ros-melodic-jackal-viz (0.4.1-1bionic) bionic; urgency=high

  * Updated jackal_viz (#3 <https://github.com/jackal/jackal_desktop/issues/3>)
    * Add rqt_gui as run_depend
    * Add rqt directory and launch check
  * Diagnostic Viewer (#2 <https://github.com/jackal/jackal_desktop/issues/2>)
    * Added 'view_diagnostics.launch' to start rqt with console and robot monitor
    * Added noetic .perspective, now are dependant on ROS_DISTRO
    * Removed distro specific perspectives
  * Contributors: luis-camero

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Sun, 16 Jan 2022 05:00:00 -0000

ros-melodic-jackal-viz (0.4.0-1bionic) bionic; urgency=high

  * [jackal_viz] Removed joint_state_publisher since joint_state_publisher_gui is generating the same data.
  * Fix a deprecation warning with the joint state publisher gui
  * Contributors: Chris Iverach-Brereton, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 21 Apr 2020 04:00:00 -0000

ros-melodic-jackal-viz (0.3.2-1bionic) bionic; urgency=high

  * Changed laser scan topics to /front/scan.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 06 Jun 2016 04:00:00 -0000

ros-melodic-jackal-viz (0.3.1-1bionic) bionic; urgency=high

  * Add version number blocks.
  * Switch view_model to use optenv-style URDF parameterization.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 20 Jan 2015 05:00:00 -0000

ros-melodic-jackal-viz (0.3.0-1bionic) bionic; urgency=high

  * Add camera argument to view model
  * Add rviz configuration for navigation demo.
  * Contributors: Shokoofeh Pourmehr, spourmehr

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 12 Dec 2014 05:00:00 -0000

ros-melodic-jackal-viz (0.2.0-1bionic) bionic; urgency=high

  * Support front_laser arg in view_model.launch.
  * Add view_robot launcher for marker teleop.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 10 Sep 2014 04:00:00 -0000

ros-melodic-jackal-viz (0.1.1-1bionic) bionic; urgency=high

  * Fix install target for jackal_viz.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Sat, 06 Sep 2014 04:00:00 -0000

ros-melodic-jackal-viz (0.1.0-1bionic) bionic; urgency=high

  * Initial release.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 05 Sep 2014 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-jackal-viz
Section: misc
Priority: optional
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslaunch
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-jackal-viz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-jackal-description (>= 0.5), ros-melodic-joint-state-publisher, ros-melodic-joint-state-publisher-gui, ros-melodic-rqt-console, ros-melodic-rqt-gui, ros-melodic-rqt-robot-monitor, ros-melodic-rviz
Description: Visualization launchers and helpers for Jackal.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-jackal-viz//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
